%global theme_name     Albatross
%global theme_revision 6
%global git_short      6fead95

Name:           albatross
Version:        1.2
Release:        5%{?dist}
Summary:        Desktop Suite for Xfce, GTK+ 2 and 3

License:        GPLv2+ or CC-BY-SA
URL:            http://shimmerproject.org/project/%{name}/

# The source for this package was pulled from upstream's vcs.  Use the
# following commands to generate the tarball:
# wget --content-disposition https://github.com/shimmerproject/Albatross/tarball/master
Source0:        shimmerproject-Albatross-v%{version}-%{theme_revision}-g%{git_short}.tar.gz


BuildArch:      noarch

%description
Albatross is a theme for GTK2/3 and xfwm4/metacity designed to be smooth: no rough borders, no contrasted edges, no violent contrasts, a soft blue colour.


%package gtk2-theme
Summary:        Albatross GTK+2 themes
Requires:       gtk-murrine-engine >= 0.98.1.1 gtk2-engines

%description gtk2-theme
Themes for GTK+2 as part of the Albatross theme.


%package gtk3-theme
Summary:        Albatross GTK+3 themes
Requires:       gtk-unico-engine >= 1.0.1

%description gtk3-theme
Themes for GTK+3 as part of the Albatross theme.


%package metacity-theme
Summary:        Albatross Metacity themes
Requires:       metacity

%description metacity-theme
Themes for Metacity as part of the Albatross theme.


%package xfwm4-theme
Summary:        Albatross Xfwm4 themes
Requires:       xfwm4

%description xfwm4-theme
Themes for Xfwm4 as part of the Albatross theme.

%package xfce4-notifyd-theme
Summary:        Albatross Xfce4 notifyd theme
Requires:       xfce4-notifyd

%description xfce4-notifyd-theme
Themes for Xfce4 notifyd as part of the Albatross theme.

%prep
%setup -q -n shimmerproject-Albatross-%{git_short}



%build
# Nothing to build


%install
mkdir -p -m755 %{buildroot}%{_datadir}/themes/%{theme_name}
cp -pr gtk-2.0/ gtk-3.0/ metacity-1/ xfwm4/ %{buildroot}%{_datadir}/themes/%{theme_name}


%files gtk2-theme
%doc LICENSE.GPL LICENSE.CC README
%dir %{_datadir}/themes/Albatross/
%{_datadir}/themes/%{theme_name}/gtk-2.0/


%files gtk3-theme
%doc LICENSE.GPL LICENSE.CC README
%dir %{_datadir}/themes/Albatross/
%{_datadir}/themes/%{theme_name}/gtk-3.0/


%files metacity-theme
%doc LICENSE.GPL LICENSE.CC README
%dir %{_datadir}/themes/Albatross/
%{_datadir}/themes/%{theme_name}/metacity-1/


%files xfwm4-theme
%doc LICENSE.GPL LICENSE.CC README
%dir %{_datadir}/themes/Albatross/
%{_datadir}/themes/%{theme_name}/xfwm4/


%changelog
* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild


* Sun Jul 15 2012 Jayson Rowe <jaysonr@fedoraproject.org> 1.2-3
- Fixed Unico requirement.

* Thu Jul 12 2012 Jayson Rowe <jaysonr@fedoraproject.org> 1.2-2
- Fixed release number
- Shortened description

* Tue Jul 10 2012 Jayson Rowe <jaysonr@fedoraproject.org> 1.2-1
- Initial spec (based on Greybird theme)

